# lcdMenu

A micropython library, which supports vertical and horizontal scrolling through menu items on both 2x16 and 4x20 liquid crystal displays

This project is the completely rewritten successor of my old (and now archived) [ProgramChooser](/BlueFox/ProgramChooser) library.


## Roadmap:

- [ ] forward, backward and select button
- [ ] support for horizontal and vertical scrolling
- [ ] support for both 2x16 and 4x20 LCDs
- [ ] a reliable order of the menu items
- [ ] good documentation for all of this (maybe through examples)


## License

This project is licensed under the GPL-v3-or-later. A copy can be found [here](LICENSE).